#!/bin/bash

fn_flash_128M ()
{
    ./gigaflash_x64 ../../../fw/488.bin -a -2400
}

fn_flash_256M ()
{
    ./gigaflash_x64 ../../../fw/888.bin -a -2400
}

fn_show_help ()
{
    echo "Please enter correct parameter:"
	echo "./flashall64 -256M"
	echo "./flashall64 -128M"
}

chmod +x gigaflash_x64
chmod +x socflash_x64
if [ $1 == "-128M" ]; then
	fn_flash_128M
elif [ $1 == "-256M" ]; then
	fn_flash_256M
else
    fn_show_help
fi
